{
    "name": "",
    "description": "",
    "spec": [
        {
            "question_name": "Windows Admin Password",
            "question_description": "",
            "required": true,
            "type": "password",
            "variable": "ansible_password",
            "min": 5,
            "max": 32,
            "default": "{{ controller_admin_password }}",
            "new_question": true,
        },
        {
            "question_name": "Windows Share Name",
            "question_description": "",
            "required": true,
            "type": "text",
            "variable": "smb_share_name",
            "min": 5,
            "max": 32,
            "default": "New-Share",
            "choices": ""
        },
        {
            "question_name": "Windows SMB Read User",
            "question_description": "",
            "required": true,
            "type": "text",
            "variable": "smb_user_read",
            "min": 5,
            "max": 32,
            "default": "",
            "choices": ""
        },
        {
            "question_name": "Windows SMB Write User",
            "question_description": "",
            "required": true,
            "type": "text",
            "variable": "smb_user_full",
            "min": 5,
            "max": 32,
            "default": "",
            "choices": ""
        }
    ]
}